Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002083TestLinkGeneralpublic2009-02-10 03:482010-05-01 20:35
Reporterschlundus 
Assigned Toschlundus 
PrioritynormalSeverityfeature requestReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version1.9 Beta 2 
Summary0002083: eregXXX calls should be avoided
DescriptioneregXXX calls should be avoided
all existing calls to eregXXX should be replaced with pregXXX Calls
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
parent of 0001953closedfman Deprecated: Function ereg_replace() is deprecated in D:\tl_dev\testlink\lib\functions\lang_api.php on line 171 
has duplicate 0002830closed Deprecated: Function ereg_replace() 

-  Notes
(0005365)
fman (administrator)
2009-02-10 19:43

would you mind to explain why this change is needed ?
It would be great understand why that is needed without googling on internet.
(0005367)
schlundus (reporter)
2009-02-10 19:46

Announcement of PHP 5.3

    * Namespaces (documentation has been updated to the current state)
    * Rounding behavior
    * ext/msql has been removed, while ext/ereg will now raise E_DEPRECATED notices
    * ext/mhash has been replaced by ext/hash but full BC is maintained
    * PHP now uses cc as the default compiler, instead of gcc
    * A number of bug fixes to ext/pdo, ext/soap, the stream layer among others

- Issue History
Date Modified Username Field Change
2009-02-10 03:48 schlundus New Issue
2009-02-10 04:12 schlundus Status new => assigned
2009-02-10 04:12 schlundus Assigned To => schlundus
2009-02-10 19:43 fman Note Added: 0005365
2009-02-10 19:46 schlundus Note Added: 0005367
2009-08-31 19:52 mhavlat Relationship added parent of 0001953
2009-09-01 01:53 schlundus Status assigned => resolved
2009-09-01 01:53 schlundus Fixed in Version => 1.9 (DEV)
2009-09-01 01:53 schlundus Resolution open => fixed
2009-09-03 23:04 schlundus Relationship added has duplicate 0002830
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker